local L = LibStub("AceLocale-3.0"):GetLocale("ExtMailUI", true);

local ABOUT = {
    author = "Germbread (Deathwing-US)",
    email = GetAddOnMetadata("ExtMailUI", "X-Email"),
    hosts = {
        "https://wow.curseforge.com/addons",
        "https://wow.curseforge.com/projects/extended-mail-ui",
    },
};

local CONFIG_SHOWN = false;

--========================================
-- Setting up the config frame
--========================================
function ExtMailUI_About_OnLoad(self)
    self.name = L["ABOUT"];
    self.parent = L["ADDON_TITLE"];
    self.okay = function(self) ExtMailUI_About_OnClose(); end;
    self.cancel = function(self) ExtMailUI_About_OnClose(); end;
    self.refresh = function(self) ExtMailUI_About_OnRefresh(); end;
    InterfaceOptions_AddCategory(self);

    ExtMailUIAboutTitle:SetText(string.format(L["VERSION_TEXT"], "|cffffffffv" .. GetAddOnMetadata("ExtMailUI", "Version")));
    ExtMailUIAboutAuthor:SetText(L["LABEL_AUTHOR"] .. ": |cffffffff" .. ABOUT.author);
    ExtMailUIAboutEmail:SetText(L["LABEL_EMAIL"] .. ": |cffffffff" .. ABOUT.email);
    ExtMailUIAboutURLs:SetText(L["LABEL_HOSTS"] .. ":");
    
    --ExtMailUIAboutTranslatorsHeader:SetText(L["TRANSLATORS"]);
end

--========================================
-- Refresh
--========================================
function ExtMailUI_About_OnRefresh()
    if (CONFIG_SHOWN) then return; end

    local i2;
    
    for i = 1, table.maxn(ABOUT.hosts), 1 do
        local fontString = _G["ExtMailUIAbout_SiteList" .. i];
        if (not fontString) then
            fontString = ExtMailUIAbout:CreateFontString("ExtMailUIAbout_SiteList" .. i, "ARTWORK", "GameFontHighlight");
        end
        fontString:ClearAllPoints();
        fontString:SetPoint("TOPLEFT", ExtMailUIAboutURLs, "TOPLEFT", 20, -(i * 20));
        fontString:SetText(ABOUT.hosts[i]);
        i2 = i;
    end

    --local th = _G["ExtMailUIAboutTranslatorsHeader"];
    --if (th ~= nil) then
    --    th:ClearAllPoints();
    --    th:SetPoint("TOPLEFT", ExtMailUIAboutTitle, "BOTTOMLEFT", 15, -(150 + (i2 * 20)));
    --end

    --for i = 1, table.maxn(ABOUT.translators), 1 do
    --    local fontString = _G["ExtMailUIAbout_Translator" .. i];
    --    if (not fontString) then
    --        fontString = ExtMailUIAbout:CreateFontString("ExtMailUIAbout_Translator" .. i, "ARTWORK", "GameFontHighlight");
    --    end
    --    fontString:ClearAllPoints();
    --    fontString:SetPoint("TOPLEFT", ExtMailUIAboutTranslatorsHeader, "TOPLEFT", 20, -(i * 20));
    --    fontString:SetText(ABOUT.translators[i].name .. " |cffa0a0a0(" .. ABOUT.translators[i].locale .. ")");
    --end

    CONFIG_SHOWN = true;
end

--========================================
-- Closing the window
--========================================
function ExtMailUI_About_OnClose()
    CONFIG_SHOWN = false;
end
